Bug 208636 - ME 3.0.5 emulator never starts on Win 7 64bit
ME 3.0.5 emulator never starts on Win 7 64bit
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: Code
7.1.1
PC Windows 7
: P1 (vote)
: 7.1.1
Assigned To: Jiri Rechtacek
issues@installer
71patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 10:30 UTC by Stepan Zebra
Modified: 2012-03-20 19:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (72.46 KB, text/plain)
2012-02-20 10:30 UTC, Stepan Zebra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2012-02-20 10:30:34 UTC
Created attachment 115942 [details]
IDE log

Product Version: NetBeans IDE 7.1.1 RC1 (Build 201202141941)
Java: 1.6.0_31; Java HotSpot(TM) 64-Bit Server VM 20.6-b01
System: Windows 7 version 6.1 running on amd64; Cp1250; cs_CZ (nb)

Steps:
Fresh NB 7.1.1 installation.
Create new Mobile App.
Run the app.

During the run attempt, emulator never starts, and following output is shown:
OUTPUT:
...
cldc-run:
Copying 1 file to C:\Users\stezeb\Documents\NetBeansProjects\MobileApplication3\dist\nbrun8128826255148809108
Copying 1 file to C:\Users\stezeb\Documents\NetBeansProjects\MobileApplication3\dist\nbrun8128826255148809108
Jad URL for OTA execution: http://localhost:8082/servlet/org.netbeans.modules.mobility.project.jam.JAMServlet/C%3A/Users/stezeb/Documents/NetBeansProjects/MobileApplication3/dist//MobileApplication3.jad
Starting emulator in execution mode
C:\Users\stezeb\Documents\NetBeansProjects\MobileApplication3\nbproject\build-impl.xml:782: Execution failed with error code 1.
BUILD FAILED (total time: 2 seconds)

Device Manager also never starts. Tools > Java Platforms > Refresh... shows "Configuration failed.".
Comment 1 Stepan Zebra 2012-02-20 11:55:04 UTC
Same with JDK 6 and JDK 7.

No problems when running on 32 bit kits.

ME 3.0.5 should work also with 64 bit kits.
Comment 2 Anton Chechel 2012-02-22 14:37:35 UTC
*** Bug 208634 has been marked as a duplicate of this bug. ***
Comment 3 Anton Chechel 2012-02-22 14:38:33 UTC
*** Bug 208642 has been marked as a duplicate of this bug. ***
Comment 4 Anton Chechel 2012-02-22 17:03:10 UTC
The problem is emulator.exe can not locate java.
NB installer, therefore, should create file "java" with an actual path to JDK as it is done by Java ME SDK installer during installation.
Comment 5 Jiri Rechtacek 2012-02-23 13:44:25 UTC
fixed in trunk - core-main/rev/9d338fafd1da
Comment 6 Jiri Rechtacek 2012-02-23 14:53:50 UTC
Bad, it doesn't work correctly.
Comment 7 Jiri Rechtacek 2012-02-23 17:14:00 UTC
a proper fix was applied in core-main/rev/5a00b25d4a02. Now the emulator starts correctly on my Win7.
Stepan, please verify on your machine. If passed I'm going to backport it immediately once it was verified. Thank you
Comment 8 Quality Engineering 2012-02-24 09:31:29 UTC
Integrated into 'main-golden', will be available in build *201202240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9d338fafd1da
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #208636: ME 3.0.5 emulator never starts on Win 7 64bit
Comment 9 David Strupl 2012-02-24 09:46:48 UTC
Jirko, please back port today, thanks.
Comment 10 Stepan Zebra 2012-02-24 09:53:57 UTC
(In reply to comment #7)
> a proper fix was applied in core-main/rev/5a00b25d4a02. Now the emulator starts
> correctly on my Win7.
> Stepan, please verify on your machine. If passed I'm going to backport it
> immediately once it was verified. Thank you

Verified, works correct now.
Comment 11 Jiri Rechtacek 2012-02-24 10:25:44 UTC
(In reply to comment #10)
> (In reply to comment #7)
> > a proper fix was applied in core-main/rev/5a00b25d4a02. Now the emulator starts
> > correctly on my Win7.
> > Stepan, please verify on your machine. If passed I'm going to backport it
> > immediately once it was verified. Thank you
> 
> Verified, works correct now.
Thanks. Backport in release71_fixes - http://hg.netbeans.org/releases/rev/4912add53c6a
Comment 12 Quality Engineering 2012-02-25 02:30:23 UTC
Integrated into 'releases', will be available in build *201202242200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/0f87c4deb121
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #208636: ME 3.0.5 emulator never starts on Win 7 64bit
(transplanted from 9d338fafd1da3539e90d5a354098d30d5aa1c6cb)
Comment 13 Stepan Zebra 2012-02-28 12:36:11 UTC
verified in 7.1.1
Comment 14 sarma_amras 2012-03-20 17:14:08 UTC
I am facing this issue with NetBeans 7.1.1.
Please suggest the changes required.
I am new to Java and interested in doing Android Programming.
Thanks.

Copying 1 file to C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\dist\nbrun1764617191069522688
Copying 1 file to C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\dist\nbrun1764617191069522688
Jad URL for OTA execution: http://localhost:8082/servlet/org.netbeans.modules.mobility.project.jam.JAMServlet/C%3A/Users/SARMA/Documents/NetBeansProjects/GameBuilderDemo1/dist//GameBuilderDemo1.jad
Starting emulator in execution mode
C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\nbproject\build-impl.xml:782: Execution failed with error code 1.
BUILD FAILED (total time: 25 seconds)
Comment 15 sarma_amras 2012-03-20 17:16:13 UTC
Just few more info.
I am using Win 7 OS with 4GB RAM.
Comment 16 Jiri Rechtacek 2012-03-20 17:40:27 UTC
Please, reopen this issue and file it as a new report with description your problem in detail. Thanks

(In reply to comment #15)
> Just few more info.
> I am using Win 7 OS with 4GB RAM.

(In reply to comment #14)
> I am facing this issue with NetBeans 7.1.1.
> Please suggest the changes required.
> I am new to Java and interested in doing Android Programming.
> Thanks.
> 
> Copying 1 file to
> C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\dist\nbrun1764617191069522688
> Copying 1 file to
> C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\dist\nbrun1764617191069522688
> Jad URL for OTA execution:
> http://localhost:8082/servlet/org.netbeans.modules.mobility.project.jam.JAMServlet/C%3A/Users/SARMA/Documents/NetBeansProjects/GameBuilderDemo1/dist//GameBuilderDemo1.jad
> Starting emulator in execution mode
> C:\Users\SARMA\Documents\NetBeansProjects\GameBuilderDemo1\nbproject\build-impl.xml:782:
> Execution failed with error code 1.
> BUILD FAILED (total time: 25 seconds)
Comment 17 Stepan Zebra 2012-03-20 18:00:48 UTC
(In reply to comment #16)
> Please, reopen this issue and file it as a new report with description your
> problem in detail. Thanks

I believe Jiri wanted to say not to reopen this issue... This issue was about missing Java configuration for MESDK in NetBeans installer and that was resolved.

Open the file
C:\Program Files\NetBeans 7.1.1\mobility\Java_ME_platform_SDK_3.0.5\bin\java
and check whether it contains correct path to Java (should be the same that is used for running NetBeans).
Please open a new issue as suggested with contents of this file and with details about your NetBeans and Java installations.
Comment 18 Jiri Rechtacek 2012-03-20 19:01:39 UTC
(In reply to comment #17)
> (In reply to comment #16)
> > Please, reopen this issue and file it as a new report with description your
> > problem in detail. Thanks
> 
> I believe Jiri wanted to say not to reopen this issue... This issue was about
> missing Java configuration for MESDK in NetBeans installer and that was
> resolved.
All right. My intention was to say _dont reopen_. Thanks Stepan for a correction.

> Open the file
> C:\Program Files\NetBeans 7.1.1\mobility\Java_ME_platform_SDK_3.0.5\bin\java
> and check whether it contains correct path to Java (should be the same that is
> used for running NetBeans).
> Please open a new issue as suggested with contents of this file and with
> details about your NetBeans and Java installations.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo